[Command]
name = "AI0"
command = a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a
time = 0
[Command]
name = "AI1"
command = b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b
time = 0
[Command]
name = "AI2"
command = c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c
time = 0
[Command]
name = "AI3"
command = x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x
time = 0
[Command]
name = "AI4"
command = y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y
time = 0
[Command]
name = "AI5"
command = z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI6"
command = s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s
time = 0
[Command]
name = "AI7"
command = F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F
time = 0
[Command]
name = "AI8"
command = D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D
time = 0
[Command]
name = "AI9"
command = B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B
time = 0
[Command]
name = "AI10"
command = U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U
time = 0
[Command]
name = "AI11"
command = a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a
time = 0
[Command]
name = "AI12"
command = c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c
time = 0
[Command]
name = "AI13"
command = x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x
time = 0
[Command]
name = "AI14"
command = y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y
time = 0
[Command]
name = "AI15"
command = z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI16"
command = s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s
time = 0
[Command]
name = "AI17"
command = a,B,c,x,y,z,s,B,D,F,U,a,b,c,x,y,z,s,s
time = 0
[Command]
name = "AI18"
command = a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a
time = 0
[Command]
name = "AI19"
command = b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b
time = 0
[Command]
name = "AI20"
command = c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c
time = 0
[Command]
name = "AI21"
command = x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x
time = 0
[Command]
name = "AI22"
command = y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y
time = 0
[Command]
name = "AI23"
command = z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI24"
command = s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s
time = 0
[Command]
name = "AI25"
command = F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F
time = 0
[Command]
name = "AI26"
command = D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D
time = 0
[Command]
name = "AI27"
command = B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B
time = 0
[Command]
name = "AI28"
command = U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U
time = 0
[Command]
name = "AI29"
command = a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a
time = 0
[Command]
name = "AI30"
command = c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c
time = 0
[Command]
name = "AI31"
command = x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x
time = 0
[Command]
name = "AI32"
command = y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y
time = 0
[Command]
name = "AI33"
command = z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI34"
command = s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s
time = 0
[Command]
name = "AI35"
command = z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI36"
command = z,z,z,z,z,z,a,a,a,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI37"
command = z,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,z,z,z
time = 0
[Command]
name = "AI38"
command = z,z,z,z,z,a,a,a,z,z,z,z,z,a,a,a,z,z,z
time = 0
[Command]
name = "AI39"
command = z,z,z,z,z,a,a,a,z,z,z,z,z,z,a,a,z,z,z
time = 0
[Command]
name = "AI40"
command = z,z,z,z,a,a,a,z,z,z,z,a,z,z,a,a,z,z,z
time = 0
[Command]
name = "AI41"
command = z,z,z,a,z,z,z,z,z,z,z,z,z,a,a,z,z,z,z
time = 0
[Command]
name = "AI42"
command = z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI43"
command = z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,a,a,z
time = 0
[Command]
name = "AI44"
command = z,z,a,a,a,a,z,z,z,z,z,z,z,z,z,a,a,a,z
time = 0
[Command]
name = "AI45"
command = z,z,z,z,z,z,a,a,z,z,z,z,z,a,a,a,a,z,z
time = 0
[Command]
name = "AI46"
command = z,z,z,z,z,z,z,z,a,a,a,a,a,a,z,z,z,z,z
time = 0
[Command]
name = "AI47"
command = z,z,z,a,a,a,a,z,z,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI48"
command = z,z,z,z,z,a,a,a,z,z,z,a,a,a,z,z,a,z,a
time = 0
[Command]
name = "AI49"
command = z,z,z,z,a,a,a,z,z,z,z,z,a,a,a,z,z,z,z
time = 0

;-| Super Motions |--------------------------------------------------------


[Command]
name = "hitdef"
command = ~D, DF, F, x+y
time = 15

[Command]
name = "misogi"
command = ~D, F, D, F, c
time = 25


[Command]
name = "muex"
command = ~F, DF, D, DB, B, a+b
time = 25

[Command]
name = "doon"
command = ~F, DF, D, DB, B, x+y
time = 25


[Command]
name = "mumax"
command = ~D, F, D, F, x+y
time = 25

[Command]
name = "mukai"
command = ~D, B, D, B, x
time = 25

[Command]
name = "mukai"
command = ~D, B, D, B, y
time = 25

[Command]
name = "bimu"
command = ~D, B, D, B, a
time = 25

[Command]
name = "bimu"
command = ~D, B, D, B, b
time = 25

[Command]
name = "mu"
command = ~D, F, D, F, x
time = 25

[Command]
name = "mu"
command = ~D, F, D, F, y
time = 25


[Command]
name = "zigen"
command = ~D, F, D, F, a+b
time = 25


[Command]
name = "soul"
command = ~D, F, D, F, a
time = 25

[Command]
name = "soul"
command = ~D, F, D, F, b
time = 25

[Command]
name = "sanagi"
command = ~D, B, D, B, x
time = 25

[Command]
name = "sanagi"
command = ~D, B, D, B, y
time = 25


;-| Special Motions |------------------------------------------------------
[Command]
name = "black"
command = ~D, DF, F, x
time = 15

[Command]
name = "black2"
command = ~D, DF, F, a
time = 15


[Command]
name = "zubaba"
command = ~D, DF, F, c
time = 15


[Command]
name = "balia"
command = ~D, DF, F, a
time = 15

[Command]
name = "balia2"
command = ~D, DF, F, y
time = 15

[Command]
name = "hansha"
command = ~D, DF, F, b
time = 15

[Command]
name = "kaminari"
command = ~D, B, x
time = 15

[Command]
name = "kaminari2"
command = ~D, B, a
time = 15

[Command]
name = "kaminari3"
command = ~D, B, y
time = 15

[Command]
name = "kaminari4"
command = ~D, B, b
time = 15

[Command]
name = "syakin"
command = ~D, B, c
time = 15

[Command]
name = "tobi"
command = ~D, DB, B, y
time = 15


[Command]
name = "kaihuku"
command = x, y, F, x, y
time = 30



;-| Double Tap |-----------------------------------------------------------
[Command]
name = "FF"     ;Required (do not remove)
command = F, F
time = 10

[Command]
name = "BB"     ;Required (do not remove)
command = B, B
time = 10

[Command]
name = "Hjump"
command = $D, $U
time = 13

;-| 2/3 Button Combination |-----------------------------------------------
[Command]
name = "recovery";Required (do not remove)
command = x+a
time = 1

[Command]
name = "recovery";Required (do not remove)
command = z
time = 1

[Command]
name = "knock"
command = c
time = 1

[Command]
name = "knock"
command = y+b
time = 1

[Command]
name = "dodge"
command = x+a
time = 1

[Command]
name = "striker"
command = a+y
time = 1

[Command]
name = "dodge"
command = z
time = 1


;-| Dir + Button |---------------------------------------------------------
[Command]
name = "down_a"
command = /$D,a
time = 1

[Command]
name = "down_b"
command = /$D,b
time = 1

;-| Single Button |---------------------------------------------------------
[Command]
name = "a"
command = a
time = 1

[Command]
name = "b"
command = b
time = 1

[Command]
name = "c"
command = c
time = 1

[Command]
name = "x"
command = x
time = 1

[Command]
name = "y"
command = y
time = 1

[Command]
name = "z"
command = z
time = 1

[Command]
name = "start"
command = s
time = 1

;-| Hold Dir |--------------------------------------------------------------
[Command]
name = "holdfwd";Required (do not remove)
command = /$F
time = 1

[Command]
name = "holdback";Required (do not remove)
command = /$B
time = 1

[Command]
name = "holdup" ;Required (do not remove)
command = /$U
time = 1

[Command]
name = "holddown";Required (do not remove)
command = /$D
time = 1

[Statedef -1]

[State -1]
type = varset
triggerall = !ishelper
triggerall = var(59) = 0
triggerall=!(enemynear,name="W-Reimu"&&enemy,palno=[11,12])
triggerall = RoundState = [1,2]
trigger1 = (Command = "AI0")||(Command = "AI1")||(Command = "AI2")||(Command = "AI3")||(Command = "AI4")
trigger2 = (Command = "AI5")||(Command = "AI6")||(Command = "AI7")||(Command = "AI8")||(Command = "AI9")
trigger3 = (Command = "AI10")||(Command = "AI11")||(Command = "AI12")||(Command = "AI13")||(Command = "AI14")
trigger4 = (Command = "AI15")||(Command = "AI16")||(Command = "AI17")||(Command = "AI18")||(Command = "AI19")
trigger5 = (Command = "AI20")||(Command = "AI21")||(Command = "AI22")||(Command = "AI23")||(Command = "AI24")
trigger6 = (Command = "AI25")||(Command = "AI26")||(Command = "AI27")||(Command = "AI28")||(Command = "AI29")
trigger7 = (Command = "AI30")||(Command = "AI31")||(Command = "AI32")||(Command = "AI33")||(Command = "AI34")
trigger8 = (Command = "AI35")||(Command = "AI36")||(Command = "AI37")||(Command = "AI38")||(Command = "AI39")
trigger9 = (Command = "AI40")||(Command = "AI41")||(Command = "AI42")||(Command = "AI43")||(Command = "AI44")
trigger10= (Command = "AI45")||(Command = "AI46")||(Command = "AI47")||(Command = "AI48")||(Command = "AI49")
trigger11= 1;常時ＡＩスイッチ、ここを０にするとＡＩが常時起動じゃなくなります ただし、人操作は想定していないので不具合が起きる場合があります
var(59) = 5 

[State -2, 時止め解除メモリ確保用ダミーヘルパー呼び出し]
type = Helper
triggerall = !ishelper
triggerall = !NumHelper(23331)	;時止め解除ヘルパー1
trigger1 = !numhelper(8901014)
triggerall = var(37) > 100
ID = 8901014
name = "kaijo_dummy"
postype = p1
pos = 0, 0
stateno = 8901014
helpertype = player
keyctrl = 0
supermove = 1
supermovetime = 9999999999999
pausemovetime = 9999999999999
ignorehitpause = 1
[State -2, 時止め解除ヘルパー１呼び出し]
type = Helper
triggerall = !ishelper
triggerall = !numhelper(23331) 
trigger1 = NumHelper(8901014);時止め解除ヘルパーメモリ確保用ダミー
trigger2 = palno = 6
ID = 23331
name = "kaijo_1"
postype = p1
pos = 0, 0
stateno = 23331
helpertype = player
keyctrl = 0
supermove = 1
supermovetime = 9999999999999
pausemovetime = 9999999999999
ignorehitpause = 1
[State -2, みらくるヘルパー呼び出し]
type = Helper
triggerall = !ishelper
triggerall = !var(23)
triggerall = palno = [7,12]
trigger1 = !numhelper(2233) 
ID = 2233
name = "mirakuru"
postype = p1
pos = 0, 0
stateno = 2233
helpertype = player
keyctrl = 0
supermove = 1
supermovetime = 9999999999999
pausemovetime = 9999999999999
ignorehitpause = 1
[State -2, 混線,OTHキラー被弾用ヘルパー呼び出し]
type = Helper
triggerall = palno != 6
triggerall = !ishelper
triggerall = !var(23)
trigger1 = numhelper(100022) = 0
ID = 100022
name = "hidan"
postype = p1
pos = 0, 0
stateno = 100022
helpertype = player
keyctrl = 0
supermove = 1
supermovetime = 9999999999999
pausemovetime = 9999999999999
ignorehitpause = 1

[State -2, 習得ヘルパー呼び出し]
type = Helper
triggerall = palno != 6
triggerall = !ishelper
triggerall = !var(23)
;triggerall = palno = [7,12]
;triggerall = enemy,name != "Oniwarud"
trigger1 = !numhelper(200001)
;trigger1 = roundstate = [0,1]
;trigger2 = (GameTime% 400 ) = 0 
ID = 200001
name = "syutoku"
postype = p1
pos = 0, 0
stateno = 200001
helpertype = player
keyctrl = 0
supermove = 1
supermovetime = 9999999999999
pausemovetime = 9999999999999
ignorehitpause = 1


[State -2, 占有ヘルパー1呼び出し]
type = Helper
triggerall = palno = [7,12]
triggerall = !var(23)
triggerall = !IsHelper
triggerall = P1Name != "H_Yujiro"
triggerall = !numhelper(223333) 
triggerall = !numhelper(190200)
trigger1 = 1
ID = 223322
name = "senyuu_1"
postype = p1
pos = 0, 0
stateno = 223322
helpertype = player
keyctrl = 0
supermove = 1
supermovetime = 9999999999999
pausemovetime = 9999999999999
[State -2, 混線受身,親ヘルパー１呼び出し]
type = Helper
triggerall = palno = [7,12]
triggerall = !var(23)
triggerall = !IsHelper
triggerall = P1Name != "H_Yujiro"
triggerall = !numhelper(223333)
trigger1 = !numhelper(190200)
ID = 190200
name = "seisei_1"
postype = p1
pos = 0, 0
stateno = 190200
helpertype = player
keyctrl = 0
supermove = 1
supermovetime = 9999999999999
pausemovetime = 9999999999999
ignorehitpause = 1
[State -2, 占有ヘルパー2呼び出し]
type = Helper
triggerall = palno = [7,12]
triggerall = !var(23)
triggerall = !IsHelper
triggerall = P1Name != "H_Yujiro"
triggerall = !numhelper(223333)
trigger1 = !numhelper(190201)
ID = 223322
name = "senyuu_2"
postype = p1
pos = 0, 0
stateno = 223322
helpertype = player
keyctrl = 0
supermove = 1
supermovetime = 9999999999999
pausemovetime = 9999999999999
ignorehitpause = 1
[State -2, 混線受身,親ヘルパー２呼び出し]
type = Helper
triggerall = palno = [7,12]
triggerall = !var(23)
triggerall = !IsHelper
triggerall = P1Name != "H_Yujiro"
triggerall = !numhelper(223333)
trigger1 = !numhelper(190201)
ID = 190201
name = "seisei_2"
postype = p1
pos = 0, 0
stateno = 190200
helpertype = player
keyctrl = 0
supermove = 1
supermovetime = 9999999999999
pausemovetime = 9999999999999
ignorehitpause = 1
[State -2, 占有ヘルパー3呼び出し]
type = Helper
triggerall = palno = [7,12]
triggerall = !var(23)
triggerall = !IsHelper
triggerall = P1Name != "H_Yujiro"
triggerall = !numhelper(223333)
trigger1 = !numhelper(190202)
ID = 223322
name = "senyuu_3"
postype = p1
pos = 0, 0
stateno = 223322
helpertype = player
keyctrl = 0
supermove = 1
supermovetime = 9999999999999
pausemovetime = 9999999999999
ignorehitpause = 1
[State -2, 混線受身,親ヘルパー３呼び出し]
type = Helper
triggerall = palno = [7,12]
triggerall = !var(23)
triggerall = !IsHelper
triggerall = P1Name != "H_Yujiro"
triggerall = !numhelper(223333)
trigger1 = !numhelper(190203)
ID = 190202
name = "seisei_3"
postype = p1
pos = 0, 0
stateno = 190200
helpertype = player
keyctrl = 0
supermove = 1
supermovetime = 9999999999999
pausemovetime = 9999999999999
ignorehitpause = 1
[State -2, 占有ヘルパー4呼び出し]
type = Helper
triggerall = palno = [7,12]
triggerall = !var(23)
triggerall = !IsHelper
triggerall = P1Name != "H_Yujiro"
triggerall = !numhelper(223333)
trigger1 = !numhelper(190203)
ID = 223322
name = "senyuu_4"
postype = p1
pos = 0, 0
stateno = 223322
helpertype = player
keyctrl = 0
supermove = 1
supermovetime = 9999999999999
pausemovetime = 9999999999999
ignorehitpause = 1
[State -2, 混線受身,親ヘルパー４呼び出し]
type = Helper
triggerall = palno = [7,12]
triggerall = !var(23)
triggerall = !IsHelper
triggerall = P1Name != "H_Yujiro"
triggerall = !numhelper(223333)
trigger1 = !numhelper(190203)
ID = 190203
name = "seisei_4"
postype = p1
pos = 0, 0
stateno = 190200
helpertype = player
keyctrl = 0
supermove = 1
supermovetime = 9999999999999
pausemovetime = 9999999999999
ignorehitpause = 1
[State -2, 占有ヘルパー5呼び出し]
type = Helper
triggerall = palno = [7,12]
triggerall = !var(23)
triggerall = !IsHelper
triggerall = P1Name != "H_Yujiro"
triggerall = !numhelper(223333)
trigger1 = !numhelper(190204)
ID = 223322
name = "senyuu_5"
postype = p1
pos = 0, 0
stateno = 223322
helpertype = player
keyctrl = 0
supermove = 1
supermovetime = 9999999999999
pausemovetime = 9999999999999
ignorehitpause = 1
[State -2, 混線受身,親ヘルパー５呼び出し]
type = Helper
triggerall = palno = [7,12]
triggerall = !var(23)
triggerall = !IsHelper
triggerall = P1Name != "H_Yujiro"
triggerall = !numhelper(223333)
trigger1 = !numhelper(190204)
ID = 190204
name = "seisei_5"
postype = p1
pos = 0, 0
stateno = 190200
helpertype = player
keyctrl = 0
supermove = 1
supermovetime = 9999999999999
pausemovetime = 9999999999999
ignorehitpause = 1
[State -2, 占有ヘルパー6呼び出し]
type = Helper
triggerall = palno = [7,12]
triggerall = !var(23)
triggerall = !IsHelper
triggerall = P1Name != "H_Yujiro"
triggerall = !numhelper(223333)
trigger1 = !numhelper(190205)
ID = 223322
name = "senyuu_6"
postype = p1
pos = 0, 0
stateno = 223322
helpertype = player
keyctrl = 0
supermove = 1
supermovetime = 9999999999999
pausemovetime = 9999999999999
ignorehitpause = 1
[State -2, 混線受身,親ヘルパー６呼び出し]
type = Helper
triggerall = palno = [7,12]
triggerall = !var(23)
triggerall = !IsHelper
triggerall = P1Name != "H_Yujiro"
triggerall = !numhelper(223333)
trigger1 = !numhelper(190205)
ID = 190205
name = "seisei_6"
postype = p1
pos = 0, 0
stateno = 190200
helpertype = player
keyctrl = 0
supermove = 1
supermovetime = 9999999999999
pausemovetime = 9999999999999
ignorehitpause = 1
[State -2, 占有ヘルパー7呼び出し]
type = Helper
triggerall = palno = [7,12]
triggerall = !var(23)
triggerall = !IsHelper
triggerall = P1Name != "H_Yujiro"
triggerall = !numhelper(223333)
trigger1 = !numhelper(190206)
ID = 223322
name = "senyuu_7"
postype = p1
pos = 0, 0
stateno = 223322
helpertype = player
keyctrl = 0
supermove = 1
supermovetime = 9999999999999
pausemovetime = 9999999999999
ignorehitpause = 1
[State -2, 混線受身,親ヘルパー７呼び出し]
type = Helper
triggerall = palno = [7,12]
triggerall = !var(23)
triggerall = !IsHelper
triggerall = P1Name != "H_Yujiro"
triggerall = !numhelper(223333)
trigger1 = !numhelper(190206)
ID = 190206
name = "seisei_7"
postype = p1
pos = 0, 0
stateno = 190200
helpertype = player
keyctrl = 0
supermove = 1
supermovetime = 9999999999999
pausemovetime = 9999999999999
ignorehitpause = 1
[State -2, 占有ヘルパー8呼び出し]
type = Helper
triggerall = palno = [7,12]
triggerall = !var(23)
triggerall = !IsHelper
triggerall = P1Name != "H_Yujiro"
triggerall = !numhelper(223333)
trigger1 = !numhelper(190207)
ID = 223322
name = "senyuu_8"
postype = p1
pos = 0, 0
stateno = 223322
helpertype = player
keyctrl = 0
supermove = 1
supermovetime = 9999999999999
pausemovetime = 9999999999999
ignorehitpause = 1
[State -2, 混線受身,親ヘルパー８呼び出し]
type = Helper
triggerall = palno = [7,12]
triggerall = !var(23)
triggerall = !IsHelper
triggerall = P1Name != "H_Yujiro"
triggerall = !numhelper(223333)
trigger1 = !numhelper(190207)
ID = 190207
name = "seisei_8"
postype = p1
pos = 0, 0
stateno = 190200
helpertype = player
keyctrl = 0
supermove = 1
supermovetime = 9999999999999
pausemovetime = 9999999999999
ignorehitpause = 1
[State -2, 占有ヘルパー9呼び出し]
type = Helper
triggerall = palno = [7,12]
triggerall = !var(23)
triggerall = !IsHelper
triggerall = P1Name != "H_Yujiro"
triggerall = !numhelper(223333)
trigger1 = !numhelper(190208)
ID = 223322
name = "senyuu_9"
postype = p1
pos = 0, 0
stateno = 223322
helpertype = player
keyctrl = 0
supermove = 1
supermovetime = 9999999999999
pausemovetime = 9999999999999
ignorehitpause = 1
[State -2, 混線受身,親ヘルパー9呼び出し]
type = Helper
triggerall = palno = [7,12]
triggerall = !var(23)
triggerall = !IsHelper
triggerall = P1Name != "H_Yujiro"
triggerall = !numhelper(223333)
trigger1 = !numhelper(190208)
ID = 190208
name = "seisei_9"
postype = p1
pos = 0, 0
stateno = 190200
helpertype = player
keyctrl = 0
supermove = 1
supermovetime = 9999999999999
pausemovetime = 9999999999999
ignorehitpause = 1
[State -2, 占有ヘルパー10呼び出し]
type = Helper
triggerall = palno = [7,12]
triggerall = !var(23)
triggerall = !IsHelper
triggerall = P1Name != "H_Yujiro"
triggerall = !numhelper(223333)
trigger1 = !numhelper(190209)
ID = 223322
name = "senyuu_10"
postype = p1
pos = 0, 0
stateno = 223322
helpertype = player
keyctrl = 0
supermove = 1
supermovetime = 9999999999999
pausemovetime = 9999999999999
ignorehitpause = 1
[State -2, 混線受身,親ヘルパー10呼び出し]
type = Helper
triggerall = palno = [7,12]
triggerall = !var(23)
triggerall = !IsHelper
triggerall = P1Name != "H_Yujiro"
triggerall = !numhelper(223333)
trigger1 = !numhelper(190209)
ID = 190209
name = "seisei_10"
postype = p1
pos = 0, 0
stateno = 190200
helpertype = player
keyctrl = 0
supermove = 1
supermovetime = 9999999999999
pausemovetime = 9999999999999
ignorehitpause = 1
[State -2, 占有ヘルパー11呼び出し]
type = Helper
triggerall = palno = [7,12]
triggerall = !var(23)
triggerall = !IsHelper
triggerall = P1Name != "H_Yujiro"
triggerall = !numhelper(223333)
trigger1 = !numhelper(190210)
ID = 223322
name = "senyuu_11"
postype = p1
pos = 0, 0
stateno = 223322
helpertype = player
keyctrl = 0
supermove = 1
supermovetime = 9999999999999
pausemovetime = 9999999999999
ignorehitpause = 1
[State -2, 混線受身,親ヘルパー11呼び出し]
type = Helper
triggerall = palno = [7,12]
triggerall = !var(23)
triggerall = !IsHelper
triggerall = P1Name != "H_Yujiro"
triggerall = !numhelper(223333)
trigger1 = !numhelper(190210)
ID = 190210
name = "seisei_11"
postype = p1
pos = 0, 0
stateno = 190200
helpertype = player
keyctrl = 0
supermove = 1
supermovetime = 9999999999999
pausemovetime = 9999999999999
ignorehitpause = 1
[State -2, 占有ヘルパー12呼び出し]
type = Helper
triggerall = palno = [7,12]
triggerall = !var(23)
triggerall = !IsHelper
triggerall = P1Name != "H_Yujiro"
triggerall = !numhelper(223333)
trigger1 = !numhelper(190211)
ID = 223322
name = "senyuu_12"
postype = p1
pos = 0, 0
stateno = 223322
helpertype = player
keyctrl = 0
supermove = 1
supermovetime = 9999999999999
pausemovetime = 9999999999999
ignorehitpause = 1
[State -2, 混線受身,親ヘルパー12呼び出し]
type = Helper
triggerall = palno = [7,12]
triggerall = !var(23)
triggerall = !IsHelper
triggerall = P1Name != "H_Yujiro"
triggerall = !numhelper(223333)
trigger1 = !numhelper(190211)
ID = 190211
name = "seisei_12"
postype = p1
pos = 0, 0
stateno = 190200
helpertype = player
keyctrl = 0
supermove = 1
supermovetime = 9999999999999
pausemovetime = 9999999999999
ignorehitpause = 1
[State -2, 占有ヘルパー13呼び出し]
type = Helper
triggerall = palno = [7,12]
triggerall = !var(23)
triggerall = !IsHelper
triggerall = P1Name != "H_Yujiro"
triggerall = !numhelper(223333)
trigger1 = !numhelper(190212)
ID = 223322
name = "senyuu_13"
postype = p1
pos = 0, 0
stateno = 223322
helpertype = player
keyctrl = 0
supermove = 1
supermovetime = 9999999999999
pausemovetime = 9999999999999
ignorehitpause = 1
[State -2, 混線受身,親ヘルパー13呼び出し]
type = Helper
triggerall = palno = [7,12]
triggerall = !var(23)
triggerall = !IsHelper
triggerall = P1Name != "H_Yujiro"
triggerall = !numhelper(223333)
trigger1 = !numhelper(190212)
ID = 190212
name = "seisei_13"
postype = p1
pos = 0, 0
stateno = 190200
helpertype = player
keyctrl = 0
supermove = 1
supermovetime = 9999999999999
pausemovetime = 9999999999999
ignorehitpause = 1
[State -2, 占有ヘルパー14呼び出し]
type = Helper
triggerall = palno = [7,12]
triggerall = !var(23)
triggerall = !IsHelper
triggerall = P1Name != "H_Yujiro"
triggerall = !numhelper(223333)
trigger1 = !numhelper(190213)
ID = 223322
name = "senyuu_14"
postype = p1
pos = 0, 0
stateno = 223322
helpertype = player
keyctrl = 0
supermove = 1
supermovetime = 9999999999999
pausemovetime = 9999999999999
ignorehitpause = 1
[State -2, 混線受身,親ヘルパー14呼び出し]
type = Helper
triggerall = palno = [7,12]
triggerall = !var(23)
triggerall = !IsHelper
triggerall = P1Name != "H_Yujiro"
triggerall = !numhelper(223333)
trigger1 = !numhelper(190213)
ID = 190213
name = "seisei_14"
postype = p1
pos = 0, 0
stateno = 190200
helpertype = player
keyctrl = 0
supermove = 1
supermovetime = 9999999999999
pausemovetime = 9999999999999
ignorehitpause = 1
[State -2, 占有ヘルパー15呼び出し]
type = Helper
triggerall = palno = [7,12]
triggerall = !var(23)
triggerall = !IsHelper
triggerall = P1Name != "H_Yujiro"
triggerall = !numhelper(223333)
trigger1 = !numhelper(190214)
ID = 223322
name = "senyuu_15"
postype = p1
pos = 0, 0
stateno = 223322
helpertype = player
keyctrl = 0
supermove = 1
supermovetime = 9999999999999
pausemovetime = 9999999999999
ignorehitpause = 1
[State -2, 混線受身,親ヘルパー15呼び出し]
type = Helper
triggerall = palno = [7,12]
triggerall = !var(23)
triggerall = !IsHelper
triggerall = P1Name != "H_Yujiro"
triggerall = !numhelper(223333)
trigger1 = !numhelper(190214)
ID = 190214
name = "seisei_15"
postype = p1
pos = 0, 0
stateno = 190200
helpertype = player
keyctrl = 0
supermove = 1
supermovetime = 9999999999999
pausemovetime = 9999999999999
ignorehitpause = 1
[State -2, 占有ヘルパー16呼び出し]
type = Helper
triggerall = palno = [7,12]
triggerall = !var(23)
triggerall = !IsHelper
triggerall = P1Name != "H_Yujiro"
triggerall = !numhelper(223333)
trigger1 = !numhelper(190215)
ID = 223322
name = "senyuu_16"
postype = p1
pos = 0, 0
stateno = 223322
helpertype = player
keyctrl = 0
supermove = 1
supermovetime = 9999999999999
pausemovetime = 9999999999999
ignorehitpause = 1
[State -2, 混線受身,親ヘルパー16呼び出し]
type = Helper
triggerall = palno = [7,12]
triggerall = !var(23)
triggerall = !IsHelper
triggerall = P1Name != "H_Yujiro"
triggerall = !numhelper(223333)
trigger1 = !numhelper(190215)
ID = 190215
name = "seisei_16"
postype = p1
pos = 0, 0
stateno = 190200
helpertype = player
keyctrl = 0
supermove = 1
supermovetime = 9999999999999
pausemovetime = 9999999999999
ignorehitpause = 1
[State -2, 占有ヘルパー17呼び出し]
type = Helper
triggerall = palno = [7,12]
triggerall = !var(23)
triggerall = !IsHelper
triggerall = P1Name != "H_Yujiro"
triggerall = !numhelper(223333)
trigger1 = !numhelper(190216)
ID = 223322
name = "senyuu_17"
postype = p1
pos = 0, 0
stateno = 223322
helpertype = player
keyctrl = 0
supermove = 1
supermovetime = 9999999999999
pausemovetime = 9999999999999
ignorehitpause = 1
[State -2, 混線受身,親ヘルパー17呼び出し]
type = Helper
triggerall = palno = [7,12]
triggerall = !var(23)
triggerall = !IsHelper
triggerall = P1Name != "H_Yujiro"
triggerall = !numhelper(223333)
trigger1 = !numhelper(190216)
ID = 190216
name = "seisei_17"
postype = p1
pos = 0, 0
stateno = 190200
helpertype = player
keyctrl = 0
supermove = 1
supermovetime = 9999999999999
pausemovetime = 9999999999999
ignorehitpause = 1
[State -2, 占有ヘルパー18呼び出し]
type = Helper
triggerall = palno = [7,12]
triggerall = !var(23)
triggerall = !IsHelper
triggerall = P1Name != "H_Yujiro"
triggerall = !numhelper(223333)
trigger1 = !numhelper(190217)
ID = 223322
name = "senyuu_18"
postype = p1
pos = 0, 0
stateno = 223322
helpertype = player
keyctrl = 0
supermove = 1
supermovetime = 9999999999999
pausemovetime = 9999999999999
ignorehitpause = 1
[State -2, 混線受身,親ヘルパー18呼び出し]
type = Helper
triggerall = palno = [7,12]
triggerall = !var(23)
triggerall = !IsHelper
triggerall = P1Name != "H_Yujiro"
triggerall = !numhelper(223333)
trigger1 = !numhelper(190217)
ID = 190217
name = "seisei_18"
postype = p1
pos = 0, 0
stateno = 190200
helpertype = player
keyctrl = 0
supermove = 1
supermovetime = 9999999999999
pausemovetime = 9999999999999
ignorehitpause = 1
[State -2, 占有ヘルパー19呼び出し]
type = Helper
triggerall = palno = [7,12]
triggerall = !var(23)
triggerall = !IsHelper
triggerall = P1Name != "H_Yujiro"
triggerall = !numhelper(223333)
trigger1 = !numhelper(190218)
ID = 223322
name = "senyuu_19"
postype = p1
pos = 0, 0
stateno = 223322
helpertype = player
keyctrl = 0
supermove = 1
supermovetime = 9999999999999
pausemovetime = 9999999999999
ignorehitpause = 1
[State -2, 混線受身,親ヘルパー19呼び出し]
type = Helper
triggerall = palno = [7,12]
triggerall = !var(23)
triggerall = !IsHelper
triggerall = P1Name != "H_Yujiro"
triggerall = !numhelper(223333)
trigger1 = !numhelper(190218)
ID = 190218
name = "seisei_19"
postype = p1
pos = 0, 0
stateno = 190200
helpertype = player
keyctrl = 0
supermove = 1
supermovetime = 9999999999999
pausemovetime = 9999999999999
ignorehitpause = 1
[State -2, 占有ヘルパー20呼び出し]
type = Helper
triggerall = palno = [7,12]
triggerall = !var(23)
triggerall = !IsHelper
triggerall = P1Name != "H_Yujiro"
triggerall = !numhelper(223333)
trigger1 = !numhelper(190219)
ID = 223322
name = "senyuu_20"
postype = p1
pos = 0, 0
stateno = 223322
helpertype = player
keyctrl = 0
supermove = 1
supermovetime = 9999999999999
pausemovetime = 9999999999999
ignorehitpause = 1
[State -2, 混線受身,親ヘルパー20呼び出し]
type = Helper
triggerall = palno = [7,12]
triggerall = !var(23)
triggerall = !IsHelper
triggerall = P1Name != "H_Yujiro"
triggerall = !numhelper(223333)
trigger1 = !numhelper(190219)
ID = 190219
name = "seisei_20"
postype = p1
pos = 0, 0
stateno = 190200
helpertype = player
keyctrl = 0
supermove = 1
supermovetime = 9999999999999
pausemovetime = 9999999999999
ignorehitpause = 1
[State -2, 占有ヘルパー21呼び出し]
type = Helper
triggerall = palno = [7,12]
triggerall = !var(23)
triggerall = !IsHelper
triggerall = P1Name != "H_Yujiro"
triggerall = !numhelper(223333)
trigger1 = !numhelper(190220)
ID = 223322
name = "senyuu_21"
postype = p1
pos = 0, 0
stateno = 223322
helpertype = player
keyctrl = 0
supermove = 1
supermovetime = 9999999999999
pausemovetime = 9999999999999
ignorehitpause = 1
[State -2, 混線受身,親ヘルパー21呼び出し]
type = Helper
triggerall = palno = [7,12]
triggerall = !var(23)
triggerall = !IsHelper
triggerall = P1Name != "H_Yujiro"
triggerall = !numhelper(223333)
trigger1 = !numhelper(190220)
ID = 190220
name = "seisei_21"
postype = p1
pos = 0, 0
stateno = 190200
helpertype = player
keyctrl = 0
supermove = 1
supermovetime = 9999999999999
pausemovetime = 9999999999999
ignorehitpause = 1
[State -2, 占有ヘルパー22呼び出し]
type = null;Helper
triggerall = palno = [7,12]
triggerall = !var(23)
triggerall = !IsHelper
triggerall = P1Name != "H_Yujiro"
triggerall = !numhelper(223333)
trigger1 = !numhelper(190221)
ID = 223322
name = "senyuu_22"
postype = p1
pos = 0, 0
stateno = 223322
helpertype = player
keyctrl = 0
supermove = 1
supermovetime = 9999999999999
pausemovetime = 9999999999999
ignorehitpause = 1
[State -2, 混線受身,親ヘルパー22呼び出し]
type = null;Helper
triggerall = palno = [7,12]
triggerall = !var(23)
triggerall = !IsHelper
triggerall = P1Name != "H_Yujiro"
triggerall = !numhelper(223333)
trigger1 = !numhelper(190221)
ID = 190221
name = "seisei_22"
postype = p1
pos = 0, 0
stateno = 190200
helpertype = player
keyctrl = 0
supermove = 1
supermovetime = 9999999999999
pausemovetime = 9999999999999
ignorehitpause = 1
[State -2, 占有ヘルパー23呼び出し]
type = null;Helper
triggerall = palno = [7,12]
triggerall = !var(23)
triggerall = !IsHelper
triggerall = P1Name != "H_Yujiro"
triggerall = !numhelper(223333)
trigger1 = !numhelper(190222)
ID = 223322
name = "senyuu_23"
postype = p1
pos = 0, 0
stateno = 223322
helpertype = player
keyctrl = 0
supermove = 1
supermovetime = 9999999999999
pausemovetime = 9999999999999
ignorehitpause = 1
[State -2, 混線受身,親ヘルパー23呼び出し]
type = null;Helper
triggerall = palno = [7,12]
triggerall = !var(23)
triggerall = !IsHelper
triggerall = P1Name != "H_Yujiro"
triggerall = !numhelper(223333)
trigger1 = !numhelper(190222)
ID = 190222
name = "seisei_23"
postype = p1
pos = 0, 0
stateno = 190200
helpertype = player
keyctrl = 0
supermove = 1
supermovetime = 9999999999999
pausemovetime = 9999999999999
ignorehitpause = 1
[State -2, 逆混線ヘルパー呼び出し]
type = Helper
triggerall = !var(23)
;triggerall = ishelper(190222)
triggerall = palno = [7,12]
triggerall = !IsHelper
trigger1 = !numhelper(190021)
ID = 190021
name = "konsen_22"
postype = p1
pos = 0, 0
stateno = 190000
helpertype = player
keyctrl = 0
supermove = 1
supermovetime = 9999999999999
pausemovetime = 9999999999999
ignorehitpause = 1
[State -2, 領域確保呼び出し]
type = Helper
triggerall = palno = [7,12]
triggerall = !var(23)
triggerall = !IsHelper
triggerall = P1Name != "H_Yujiro"
trigger1 = !numhelper(1144444)
ID = 1144444
name = "kakuho"
postype = p1
pos = 0, 0
stateno = 1133333
helpertype = player
keyctrl = 0
supermove = 1
supermovetime = 9999999999999
pausemovetime = 9999999999999
ignorehitpause = 1

[State ]
type = Helper
triggerall = !ishelper
;triggerall = !var(23)
triggerall = !(enemynear,authorname = "Pre-to") || enemynear,authorname = "Pre-to" && (enemynear,name = "magatu" || enemynear,name = "gengetu" || enemynear,name = "satuzinki_S"|| enemynear,name = "Dies" || enemynear,name = "assiette" )
trigger1 = numhelper(200) = 0
id = 200
persistent = 0
name = "200"
pos = 0,0
postype = P1
stateno = 200
size.xscale = 1
size.yscale = 1
helpertype = player
keyctrl = 0
ownpal = 1
supermovetime = 9999999999
pausemovetime = 9999999999


[State ]
type = Helper
triggerall = !ishelper
;triggerall = !var(23)
triggerall = !(enemynear,authorname = "Pre-to") || enemynear,authorname = "Pre-to" && (enemynear,name = "magatu" || enemynear,name = "gengetu" || enemynear,name = "satuzinki_S"|| enemynear,name = "Dies" || enemynear,name = "assiette" )
trigger1 = numhelper(210) = 0
id = 210
persistent = 0
name = "210"
pos = 0,0
postype = P1
stateno = 210
size.xscale = 1
size.yscale = 1
helpertype = player
keyctrl = 0
ownpal = 1
supermovetime = 9999999999
pausemovetime = 9999999999


[State ]
type = Helper
triggerall = !ishelper
;triggerall = !var(23)
triggerall = !(enemynear,authorname = "Pre-to") || enemynear,authorname = "Pre-to" && (enemynear,name = "magatu" || enemynear,name = "gengetu" || enemynear,name = "satuzinki_S"|| enemynear,name = "Dies" || enemynear,name = "assiette" )
trigger1 = numhelper(240) = 0
id = 240
persistent = 0
name = "240"
pos = 0,0
postype = P1
stateno = 240
size.xscale = 1
size.yscale = 1
helpertype = player
keyctrl = 0
ownpal = 1
supermovetime = 9999999999
pausemovetime = 9999999999



[State -2, 死の宣告ヘルパー呼び出し]
type = Helper
;triggerall = palno != 6
triggerall = !ishelper
triggerall = !var(23)
trigger1 = numhelper(160000) = 0
;trigger2 = gametime % 60 = 0
ID = 160000
name = "senkoku"
postype = p1
pos = 0, 0
stateno = 160000
helpertype = player
keyctrl = 0
supermove = 1
supermovetime = 9999999999999
pausemovetime = 9999999999999
ignorehitpause = 1
[State -2, 常設OTHキラーヘルパー呼び出し]
type = helper
triggerall = palno != 6
triggerall = !var(23)
triggerall = palno = [7,12]
trigger1 = !numhelper(200000)
stateno = 200000
helpertype = player
name = "OTHkiller"
id = 200000
pos = 0,0
postype = p1
ownpal = 0

[State -2, 領域確保呼び出し]
type = Helper
triggerall = palno = [7,12]
triggerall = !var(23)
triggerall = !IsHelper
triggerall = P1Name != "H_Yujiro"
triggerall = !numhelper(223333)
trigger1 = !numhelper(1122222)
ID = 1122222
name = "kakuho"
postype = p1
pos = 0, 0
stateno = 1122222
helpertype = player
keyctrl = 0
supermove = 1
supermovetime = 9999999999999
pausemovetime = 9999999999999
ignorehitpause = 1

[State -2, 最終設置ヘルパー呼び出し]
type = Helper
triggerall = !ishelper
triggerall = palno = [7,12]
triggerall = !var(23)
triggerall = P1Name != "H_Yujiro"
trigger1 = !numhelper(223333)
ID = 223333
name = "GG"
postype = p1
pos = 0, 0
stateno = 223333
helpertype = player
keyctrl = 0
supermove = 1
supermovetime = 9999999999999
pausemovetime = 9999999999999
ignorehitpause = 1

[state -3]
type = varset
triggerall = !ishelper
trigger1 = roundstate = 0
var(49) = 0
ignorehitpause = 1

[state -3, 親変更ヘルパーID調査]
type = varset
triggerall = !ishelper
triggerall = teamside = 1
triggerall = numhelper(190200)&&numhelper(190201)&&numhelper(190202)&&numhelper(190203)&&numhelper(190204)&&numhelper(190205)&&numhelper(190206)&&numhelper(190207)
triggerall = numhelper(190208);&&numhelper(190209)&&numhelper(190210)&&numhelper(190211)&&numhelper(190212)&&numhelper(190213)&&numhelper(190214)&&numhelper(190215)
;triggerall = numhelper(190216)&&numhelper(190217)&&numhelper(190218)&&numhelper(190219)&&numhelper(190220)&&numhelper(190221)&&numhelper(190222)&&numhelper(190223)
trigger1 = (helper(190200),ID%256=[30,60])&&(helper(190201),ID%256=[30,60])&&(helper(190202),ID%256=[30,60])&&(helper(190203),ID%256=[30,60])&&(helper(190204),ID%256=[30,60])&&(helper(190205),ID%256=[30,60])
trigger1 = (helper(190206),ID%256=[30,60])&&(helper(190207),ID%256=[30,60])&&(helper(190208),ID%256=[30,60]);&&(helper(190209),ID%256=[0,50])&&(helper(190210),ID%256=[0,50])
;trigger1 = (helper(190211),ID%256=[0,50])&&(helper(190212),ID%256=[0,50])&&(helper(190213),ID%256=[0,50])&&(helper(190214),ID%256=[0,50])&&(helper(190215),ID%256=[0,50])
;trigger1 = (helper(190216),ID%256=[0,50])&&(helper(190217),ID%256=[0,50])&&(helper(190218),ID%256=[0,50])&&(helper(190219),ID%256=[0,50])&&(helper(190220),ID%256=[0,50])
;trigger1 = (helper(190221),ID%256=[0,50])&&(helper(190222),ID%256=[0,50])&&(helper(190223),ID%256=[0,50]);&&(helper(190224),ID%256=[0,50])
var(49) = 1
ignorehitpause = 1
[state -3]
type = varset
triggerall = !ishelper
trigger1  = teamside = 2
var(49) = 1
ignorehitpause = 1
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;無に還ろうMAX
[State -1]
type = ChangeState
value = 2610
triggerall = command = "mumax"
triggerall = statetype != A
triggerall = var(37) > 40
triggerall = palno = [11,12]
trigger1 = ctrl
trigger2 = stateno = 200 && movecontact
trigger3 = stateno = 210 && movecontact
trigger4 = stateno = 230 && movecontact
trigger5 = stateno = 240 && movecontact
trigger6 = stateno = 201 && movecontact && var(55) = 1
trigger7 = stateno = 211 && movecontact && var(55) = 1
trigger8 = stateno = 231 && movecontact && var(55) = 1
trigger9 = stateno = 241 && movecontact && var(55) = 1
trigger10 = stateno = 242 && movecontact && var(55) = 1
;無に還ろうEX
[State -1]
type = ChangeState
value = 2720
triggerall = command = "muex"
triggerall = statetype != A
triggerall = var(37) > 40
triggerall = palno != 6
trigger1 = ctrl
trigger2 = stateno = 200 && movecontact
trigger3 = stateno = 210 && movecontact
trigger4 = stateno = 230 && movecontact
trigger5 = stateno = 240 && movecontact
trigger6 = stateno = 201 && movecontact && var(55) = 1
trigger7 = stateno = 211 && movecontact && var(55) = 1
trigger8 = stateno = 231 && movecontact && var(55) = 1
trigger9 = stateno = 241 && movecontact && var(55) = 1
trigger10 = stateno = 242 && movecontact && var(55) = 1
;無に還ろうEX2
[State -1]
type = ChangeState
value = 2730
triggerall = command = "doon"
triggerall = statetype != A
triggerall = var(37) > 40
triggerall = palno != 6
trigger1 = ctrl
trigger2 = stateno = 200 && movecontact
trigger3 = stateno = 210 && movecontact
trigger4 = stateno = 230 && movecontact
trigger5 = stateno = 240 && movecontact
trigger6 = stateno = 201 && movecontact && var(55) = 1
trigger7 = stateno = 211 && movecontact && var(55) = 1
trigger8 = stateno = 231 && movecontact && var(55) = 1
trigger9 = stateno = 241 && movecontact && var(55) = 1

;連撃
[State -1]
type = ChangeState
value = 8900
triggerall = command = "hitdef"
triggerall = statetype != A
;triggerall = palno != 6
trigger1 = ctrl
trigger2 = stateno = 200 && movecontact
trigger3 = stateno = 210 && movecontact
trigger4 = stateno = 230 && movecontact
trigger5 = stateno = 240 && movecontact
trigger6 = stateno = 201 && movecontact && var(55) = 1
trigger7 = stateno = 211 && movecontact && var(55) = 1
trigger8 = stateno = 231 && movecontact && var(55) = 1
trigger9 = stateno = 241 && movecontact && var(55) = 1

;Ｇ３式禊
[State -1, ]
type = ChangeState
value = 16400
triggerall = command = "misogi"
triggerall = var(59) = 0
trigger1 = statetype != A
trigger1 = ctrl

;---------------------------------------------------------------------------
;無に還ろう
[State -1]
type = ChangeState
value = 2000
triggerall = command = "mu"
triggerall = statetype != A
triggerall = var(37) > 40
trigger1 = ctrl
trigger2 = stateno = 200 && movecontact
trigger3 = stateno = 210 && movecontact
trigger4 = stateno = 230 && movecontact
trigger5 = stateno = 240 && movecontact
trigger6 = stateno = 201 && movecontact && var(55) = 1
trigger7 = stateno = 211 && movecontact && var(55) = 1
trigger8 = stateno = 231 && movecontact && var(55) = 1
trigger9 = stateno = 241 && movecontact && var(55) = 1
trigger10 = stateno = 242 && movecontact && var(55) = 1

;---------------------------------------------------------------------------
;無に還ろう 改
[State -1]
type = ChangeState
value = 2300
triggerall = command = "mukai"
triggerall = statetype != A
triggerall = var(37) > 40
trigger1 = ctrl
trigger2 = stateno = 200 && movecontact
trigger3 = stateno = 210 && movecontact
trigger4 = stateno = 230 && movecontact
trigger5 = stateno = 240 && movecontact
trigger6 = stateno = 201 && movecontact && var(55) = 1
trigger7 = stateno = 211 && movecontact && var(55) = 1
trigger8 = stateno = 231 && movecontact && var(55) = 1
trigger9 = stateno = 241 && movecontact && var(55) = 1
trigger10 = stateno = 242 && movecontact && var(55) = 1

;---------------------------------------------------------------------------
;ビーム
[State -1]
type = ChangeState
value = 2600
triggerall = command = "bimu"
triggerall = statetype != A
triggerall = var(37) > 40
trigger1 = ctrl
triggerall = var(59) = 0
trigger2 = stateno = 200 && movecontact
trigger3 = stateno = 210 && movecontact
trigger4 = stateno = 230 && movecontact
trigger5 = stateno = 240 && movecontact
trigger6 = stateno = 201 && movecontact && var(55) = 1
trigger7 = stateno = 211 && movecontact && var(55) = 1
trigger8 = stateno = 231 && movecontact && var(55) = 1
trigger9 = stateno = 241 && movecontact && var(55) = 1
trigger10 = stateno = 242 && movecontact && var(55) = 1
;---------------------------------------------------------------------------
;次元の顎に引き裂かれよ！
[State -1]
type = ChangeState
value = 731
triggerall = command = "zigen"
triggerall = statetype != A
triggerall = var(37) > 40
triggerall = palno != 6
trigger1 = ctrl
triggerall = var(59) = 0
trigger2 = stateno = 200 && movecontact
trigger3 = stateno = 210 && movecontact
trigger4 = stateno = 230 && movecontact
trigger5 = stateno = 240 && movecontact
trigger6 = stateno = 201 && movecontact && var(55) = 1
trigger7 = stateno = 211 && movecontact && var(55) = 1
trigger8 = stateno = 231 && movecontact && var(55) = 1
trigger9 = stateno = 241 && movecontact && var(55) = 1
trigger10 = stateno = 242 && movecontact && var(55) = 1
;---------------------------------------------------------------------------
;魂潰し
[State -1]
type = ChangeState
value = 2100
triggerall = command = "soul"
triggerall = statetype != A
triggerall = var(37) > 40
trigger1 = ctrl
triggerall = var(59) = 0
trigger2 = stateno = 200 && movecontact
trigger3 = stateno = 210 && movecontact
trigger4 = stateno = 230 && movecontact
trigger5 = stateno = 240 && movecontact
trigger6 = stateno = 201 && movecontact && var(55) = 1
trigger7 = stateno = 211 && movecontact && var(55) = 1
trigger8 = stateno = 231 && movecontact && var(55) = 1
trigger9 = stateno = 241 && movecontact && var(55) = 1
trigger10 = stateno = 242 && movecontact && var(55) = 1
;---------------------------------------------------------------------------
;飛び道具
[State -1]
type = ChangeState
value = 1000
triggerall = !var(21)
triggerall = command = "black"
triggerall = statetype != A
trigger1 = ctrl
triggerall = var(59) = 0
trigger2 = stateno = 200 && movecontact
trigger3 = stateno = 210 && movecontact
trigger4 = stateno = 230 && movecontact
trigger5 = stateno = 240 && movecontact
trigger6 = stateno = 201 && movecontact && var(55) = 1
trigger7 = stateno = 211 && movecontact && var(55) = 1
trigger8 = stateno = 231 && movecontact && var(55) = 1
trigger9 = stateno = 241 && movecontact && var(55) = 1
trigger10 = stateno = 242 && movecontact && var(55) = 1


;飛び道具
[State -1]
type = ChangeState
value = 14565
triggerall = !var(21)
triggerall = command = "black2"
triggerall = statetype != A
trigger1 = ctrl
triggerall = var(59) = 0
trigger2 = stateno = 200 && movecontact
trigger3 = stateno = 210 && movecontact
trigger4 = stateno = 230 && movecontact
trigger5 = stateno = 240 && movecontact
trigger6 = stateno = 201 && movecontact && var(55) = 1
trigger7 = stateno = 211 && movecontact && var(55) = 1
trigger8 = stateno = 231 && movecontact && var(55) = 1
trigger9 = stateno = 241 && movecontact && var(55) = 1
trigger10 = stateno = 242 && movecontact && var(55) = 1


;---------------------------------------------------------
;---------------------------------------------------------------------------

;バリア中段
[State -1]
type = null;ChangeState
value = 1030
triggerall = command = "balia"
triggerall = statetype != A
trigger1 = ctrl
triggerall = var(59) = 0
trigger2 = stateno = 200 && movecontact
trigger3 = stateno = 210 && movecontact
trigger4 = stateno = 230 && movecontact
trigger5 = stateno = 240 && movecontact
trigger6 = stateno = 201 && movecontact && var(55) = 1
trigger7 = stateno = 211 && movecontact && var(55) = 1
trigger8 = stateno = 231 && movecontact && var(55) = 1
trigger9 = stateno = 241 && movecontact && var(55) = 1
trigger10 = stateno = 242 && movecontact && var(55) = 1

;---------------------------------------------------------------------------
;バリア上段
[State -1]
type = null;ChangeState
value = 1031
triggerall = command = "balia2"
triggerall = statetype != A
trigger1 = ctrl
triggerall = var(59) = 0
trigger2 = stateno = 200 && movecontact
trigger3 = stateno = 210 && movecontact
trigger4 = stateno = 230 && movecontact
trigger5 = stateno = 240 && movecontact
trigger6 = stateno = 201 && movecontact && var(55) = 1
trigger7 = stateno = 211 && movecontact && var(55) = 1
trigger8 = stateno = 231 && movecontact && var(55) = 1
trigger9 = stateno = 241 && movecontact && var(55) = 1
trigger7 = stateno = 1030 || stateno = 1031
trigger10 = stateno = 242 && movecontact && var(55) = 1

;---------------------------------------------------------------------------
;飛び道具反射
[State -1]
type = null;ChangeState
value = 1040
triggerall = command = "hansha"
triggerall = statetype != A
trigger1 = ctrl
triggerall = var(59) = 0
trigger2 = stateno = 200 && movecontact
trigger3 = stateno = 210 && movecontact
trigger4 = stateno = 230 && movecontact
trigger5 = stateno = 240 && movecontact
trigger6 = stateno = 201 && movecontact && var(55) = 1
trigger7 = stateno = 211 && movecontact && var(55) = 1
trigger8 = stateno = 231 && movecontact && var(55) = 1
trigger9 = stateno = 241 && movecontact && var(55) = 1
trigger10 = stateno = 242 && movecontact && var(55) = 1

;---------------------------------------------------------------------------
;落雷1
[State -1]
type = ChangeState
value = 1200
triggerall = command = "kaminari"
triggerall = statetype != A
trigger1 = ctrl
triggerall = var(59) = 0
trigger2 = stateno = 200 && movecontact
trigger3 = stateno = 210 && movecontact
trigger4 = stateno = 230 && movecontact
trigger5 = stateno = 240 && movecontact
trigger6 = stateno = 201 && movecontact && var(55) = 1
trigger7 = stateno = 211 && movecontact && var(55) = 1
trigger8 = stateno = 231 && movecontact && var(55) = 1
trigger9 = stateno = 241 && movecontact && var(55) = 1
trigger10 = stateno = 242 && movecontact && var(55) = 1

;落雷2
[State -1]
type = ChangeState
value = 1200;1201
triggerall = command = "kaminari2"
triggerall = statetype != A
trigger1 = ctrl
triggerall = var(59) = 0
trigger2 = stateno = 200 && movecontact
trigger3 = stateno = 210 && movecontact
trigger4 = stateno = 230 && movecontact
trigger5 = stateno = 240 && movecontact
trigger6 = stateno = 201 && movecontact && var(55) = 1
trigger7 = stateno = 211 && movecontact && var(55) = 1
trigger8 = stateno = 231 && movecontact && var(55) = 1
trigger9 = stateno = 241 && movecontact && var(55) = 1
trigger10 = stateno = 242 && movecontact && var(55) = 1

;落雷3
[State -1]
type = ChangeState
value = 1200;1202
triggerall = command = "kaminari3"
triggerall = statetype != A
trigger1 = ctrl
triggerall = var(59) = 0
trigger2 = stateno = 200 && movecontact
trigger3 = stateno = 210 && movecontact
trigger4 = stateno = 230 && movecontact
trigger5 = stateno = 240 && movecontact
trigger6 = stateno = 201 && movecontact && var(55) = 1
trigger7 = stateno = 211 && movecontact && var(55) = 1
trigger8 = stateno = 231 && movecontact && var(55) = 1
trigger9 = stateno = 241 && movecontact && var(55) = 1
trigger10 = stateno = 242 && movecontact && var(55) = 1

;落雷4
[State -1]
type = ChangeState
value = 1200;1203
triggerall = command = "kaminari4"
triggerall = statetype != A
trigger1 = ctrl
triggerall = var(59) = 0
trigger2 = stateno = 200 && movecontact
trigger3 = stateno = 210 && movecontact
trigger4 = stateno = 230 && movecontact
trigger5 = stateno = 240 && movecontact
trigger6 = stateno = 201 && movecontact && var(55) = 1
trigger7 = stateno = 211 && movecontact && var(55) = 1
trigger8 = stateno = 231 && movecontact && var(55) = 1
trigger9 = stateno = 241 && movecontact && var(55) = 1
trigger10 = stateno = 242 && movecontact && var(55) = 1

;シャキーン
[State -1, ]
type = ChangeState
value = 710
triggerall = command = "syakin"
triggerall = var(59) = 0
trigger1 = statetype != A
trigger1 = ctrl

;ズババ
[State -1, ]
type = ChangeState
value = 730
triggerall = command = "zubaba"
triggerall = var(59) = 0
trigger1 = statetype != A
trigger1 = ctrl


;==============================================================================
; 移動関連
;==============================================================================
;------------------------------------------------------------------------------

[State -1, イントロ]
type = Changestate
triggerall = !ishelper
triggerall = roundstate = 0
triggerall = !time
trigger1 = anim != 190
trigger1 = anim != 2530
value = 190
ignorehitpause = 1


[State -1, 勝利]
type = Changestate
triggerall = !ishelper
triggerall = alive
triggerall = statetype = S
triggerall = roundstate > 3
triggerall = anim != [180,182]
triggerall = !time
triggerall = win
trigger1 = 1;!NumHelper(23331)
;trigger2 = NumHelper(23331)	
;trigger2 = helper(23331),sysvar(2)<=100
value = 180
ignorehitpause = 1

[State -1, 引き分け]
type = Changestate
triggerall = !ishelper
triggerall = alive
triggerall = statetype = S
triggerall = roundstate > 3
triggerall = !time
triggerall = drawgame
trigger1 = 1
value = 175
ignorehitpause = 1

[State -1, 判定負け]
type = Changestate
triggerall = !ishelper
triggerall = alive
triggerall = statetype = S
triggerall = roundstate > 3
triggerall = !time
triggerall = losetime
trigger1 = 1
value = 170
ignorehitpause = 1

[State -1, ステ抜け用変数無感知化] 
type = Varset
triggerall = !ishelper
trigger1 = 1
sysvar(0) = 0
ignorehitpause = 1

;ダブトマ
[State -1, Kung Fu Throw]
type = ChangeState
value = 242
triggerall = !ishelper
triggerall = command = "a"
triggerall = statetype != A
triggerall = palno = 6
triggerall = stateno != 100
triggerall = command = "holdfwd"
triggerall = var(59) = 0
trigger1 = ctrl
trigger2 = stateno = 200 && movecontact
trigger3 = stateno = 210 && movecontact
trigger4 = stateno = 230 && movecontact
trigger5 = stateno = 240 && movecontact
trigger6 = stateno = 201 && movecontact && var(55) = 1
trigger7 = stateno = 211 && movecontact && var(55) = 1
trigger8 = stateno = 231 && movecontact && var(55) = 1
trigger9 = stateno = 241 && movecontact && var(55) = 1
;---------------------------------------------------------------------------
;緊急回避前
[State -1]
type = ChangeState
value = 900
triggerall = !ishelper
triggerall = command = "dodge"
triggerall = command != "holdback"
triggerall = var(59) = 0
trigger1 = statetype != A && (ctrl || stateno = 100)
trigger2 = stateno = [150,153] 
trigger2 =  power >= 1000

[State -1]
type = ChangeState
value = 910
triggerall = !ishelper
triggerall = command = "dodge" && command = "holdback"
triggerall = var(59) = 0
trigger1 = statetype != A && (ctrl || stateno = 100)
trigger2 = stateno = [150,153] 
trigger2 =  power >= 1000

;---------------------------------------------------------------------------
;---------------------------------------------------------------------------
;回復
[State -1]
type = ChangeState
value = 703
triggerall = !ishelper
triggerall = palno != 6
triggerall = palno != [11,12]
triggerall = command = "kaihuku"
triggerall = var(59) = 0
triggerall = !var(35) 
triggerall = statetype != A  
trigger1 =  power >= 3000
trigger1 =  life <= 500

;powerup
[State -1]
type = ChangeState
value = 703
triggerall = !ishelper
triggerall = palno = 6
triggerall = command = "kaihuku"
triggerall = var(59) = 0
triggerall = !var(35) 
triggerall = statetype != A  
trigger1 =  power >= 3000

[State -1]
type = ChangeState
value = 703
triggerall = !ishelper
triggerall = palno != 6
triggerall = palno = [11,12]
trigger1 = command = "kaihuku"
triggerall = var(59) = 0
triggerall = !var(35) 
triggerall = statetype != A  
;---------------------------------------------------------------------------
;ふっ飛ばし
[State -1, Stand Light Punch]
type = ChangeState
value = 500
triggerall = !ishelper
triggerall = command = "knock"
triggerall = var(59) = 0
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = stateno = [150,153] 
trigger2 =  power >= 1000

;---------------------------------------------------------------------------

;Stand Light Punch
;立ち弱パンチ
[State -1, Stand Light Punch]
type = Varset
var(31) = 20
triggerall = Roundstate = 2
triggerall = !ishelper
triggerall = var(37) > 20
triggerall = var(31) = [0,3]
triggerall = command = "x"
triggerall = var(59) = 0
trigger1 = statetype != A
;trigger1 = ctrl

;---------------------------------------------------------------------------

;Stand Strong Punch
;立ち強パンチ
[State -1, Stand Strong Punch]
type = Varset
var(32) = 20
triggerall = Roundstate = 2
triggerall = !ishelper
triggerall = var(37) > 20
triggerall = command = "y"
triggerall = var(32) = [0,3]
triggerall = var(59) = 0
trigger1 = statetype != A 
;trigger1 = ctrl


;---------------------------------------------------------------------------

;飛び道具
[State -1, ]
type = ChangeState
value = 14565
triggerall = !var(21)
triggerall = !ishelper
triggerall = command = "a"
triggerall = var(59) = 0
trigger1 = statetype != A && var(55) = 0
trigger1 = ctrl
trigger2 = statetype = S && var(55) = 1
trigger2 = ctrl

;---------------------------------------------------------------------------


;Standing Strong Kick
;立ち強キック
[State -1, Standing Strong Kick]
type = Varset
var(33) = 20
triggerall = var(37) > 20
triggerall = Roundstate = 2
triggerall = !ishelper
triggerall = command = "b"
triggerall = var(59) = 0
triggerall = var(33) = [0,3]
trigger1 = statetype != A 
;trigger1 = ctrl

;---------------------------------------------------------------------------
;Taunt
;挑発
[State -1, Taunt]
type = null;ChangeState
value = 195
triggerall = !ishelper
triggerall = command = "start"
triggerall = var(59) = 0
trigger1 = statetype != A
trigger1 = ctrl

[State -1, Jump Light Punch]
type = ChangeState
value = 101
triggerall = !ishelper
triggerall = command = "FF"
triggerall = palno = 6 || palno = 12
triggerall = var(59) = 0
trigger1 = statetype = A
trigger1 = ctrl

[State -1, ジャンプ]
type = null;Changestate
triggerall = !ishelper
triggerall = var(5) < 1
triggerall = var(59) = 0
triggerall = alive
triggerall = statetype != A
triggerall = command = "holdup"
trigger1 = ctrl
value = 40
ignorehitpause = 1

[State -1, フロントステップ]
type = null;ChangeState
triggerall = !ishelper
triggerall = statetype != A
triggerall = var(59) = 0
trigger1 = command = "FF"
trigger1 = statetype = S
trigger1 = ctrl
value = 100

[State -1, バックステップ]
type = ChangeState
triggerall = !ishelper
triggerall = statetype != A
triggerall = var(59) = 0
trigger1 = command = "BB"
trigger1 = statetype = S
trigger1 = ctrl
value = 105

[State -1, 立ち上がる動作]
type = null;Changestate
triggerall = !ishelper
triggerall = alive
triggerall = statetype = C
triggerall = ctrl
trigger1 = command != "holddown" 
value = 12
ignorehitpause = 1

[State -1, しゃがみ]
type = null;Changestate
triggerall = !ishelper
triggerall = alive
triggerall = palno != [11,12]
triggerall = var(59) = 0
triggerall = statetype = C
triggerall = ctrl
triggerall = !animtime
trigger1 = command = "holddown" 
value = 11
ignorehitpause = 1

[State -1, しゃがむ動作]
type = null;Changestate
triggerall = !ishelper
triggerall = alive
triggerall = var(59) = 0
triggerall = statetype = S
triggerall = ctrl
trigger1 = command = "holddown" 
value = 10
ignorehitpause = 1

[State -1, 前歩き]
type = Changestate
triggerall = !ishelper
triggerall = alive
triggerall = roundstate = 2
triggerall = Ctrl
triggerall = anim != [20, 21]
triggerall = anim != [100, 5000]
triggerall = command != "holdup"
triggerall = command != "holddown"
trigger1 = (command = "holdfwd") 
value = 20
persistent = 256
ignorehitpause = 1


[State -1, 後歩き]
type = Changestate
triggerall = !ishelper
triggerall = alive
triggerall = roundstate = 2
triggerall = Ctrl
triggerall = anim != [20, 21]
triggerall = anim != [100, 5000]
triggerall = command != "holdup"
triggerall = command != "holddown"
trigger1 = (command = "holdback")
value = 21
persistent = 256
ignorehitpause = 1

;---------------------------------------------------------------------------

;////////////////////////////////////////
                 AI動作
;////////////////////////////////////////

[State -1]
type = null;varset
triggerall = !var(59) || fvar(31)
trigger1 = RoundState = [1,2]

;AI使用
;var(47) - KO確認
;var(49) - ヘルパー数確認
;var(50) - 飛び道具確認
;fvar(28) - ループ回数測定　未使用
;fvar(29) - ループ制限　未使用

[State -1, fvar(31)set1];コンボ確認
type = varset
triggerall = !ishelper
triggerall = var(59) <= 0
trigger1 = 0;0か1
fvar(31) = 1

[State -1,KO確認]
type = varset
triggerall = !ishelper
trigger1 = 1
var(47) = abs(1-enemynear,alive)

[State -1, var49];ヘルパー数
type = varset
triggerall = !ishelper
trigger1 = roundstate = 1
var(49) = enemy,numhelper

[State -2];飛び道具反射
type = VarSet
triggerall = !ishelper
trigger1 = gametime - var(50) = 60
trigger2 = movetype = H
var(50) = 0


;ズババ
[State -1]
type = null;ChangeState
value = 8900
triggerall = !ishelper
triggerall = numExplod(9898989898) = 0
triggerall = enemy,alive || enemy(numenemy > 1),alive
triggerall = statetype != A
triggerall = ctrl
triggerall = Roundstate = 2
triggerall = var(59) > 0
trigger1 = enemynear,name = "TOKI-TEN-KU"

;無に還ろうMAX
[State -1]
type = ChangeState
value = 2610
triggerall = !ishelper
triggerall = numExplod(9898989898) = 0
triggerall = sysvar(3) != [0,3150]   
triggerall = sysvar(3) != [11000,18000] 
triggerall = enemy,alive || enemy(numenemy > 1),alive
triggerall = statetype != A
triggerall = var(37) > 40
triggerall = palno = [11,12]
triggerall = ctrl
triggerall = var(59) > 0
triggerall = Roundstate = 2
trigger1 = sysvar(3) = [3300,3600]
trigger2 = sysvar(3) = [6000,6200]
trigger3 = sysvar(3) = [12000,12200]
trigger4 = sysvar(3) = [16000,16200]
trigger5 = sysvar(3) = [27000,27200]

;強制宣告
[State -1]
type = ChangeState
value = 61000
triggerall = sysvar(3) > 400
triggerall = var(44)
triggerall = !ishelper
triggerall = Palno = 12
triggerall = ctrl
triggerall = var(59) > 0
triggerall = Roundstate = 2
trigger1 = var(9)

;無に還ろう　改
[State -1]
type = ChangeState
value = 2300
triggerall = !ishelper 
triggerall = numExplod(9898989898) = 0
triggerall = enemy,alive || enemy(numenemy > 1),alive
triggerall = statetype != A
triggerall = var(37) > 40
triggerall = ctrl
triggerall = palno = [7,12]
triggerall = var(59) > 0
triggerall = Roundstate = 2
;trigger1 = (GameTime% 90 ) = 0 
triggerall = sysvar(3) != [500,3150] 
trigger1 = random < 100 
trigger1 = sysvar(3) != [0,3150] 
trigger2 = sysvar(3) = [300,500]   

;魂つぶし
[State -1]
type = ChangeState
value = 2100
triggerall = !ishelper
triggerall = numExplod(9898989898) = 0
triggerall = enemy,alive || enemy(numenemy > 1),alive
triggerall = palno = 6
triggerall = var(37) > 40
triggerall = statetype != A
triggerall = ctrl
triggerall = Roundstate = 2
triggerall = var(59) > 0
triggerall = life<300
trigger1 = random < 30

;次元の顎に引き裂かれよ！
[State -1]
type = ChangeState
value = 731
triggerall = sysvar(3) != [0,1150] 
triggerall = !ishelper
triggerall = palno = [7,12]
triggerall = var(37) > 40
triggerall = numExplod(9898989898) = 0
triggerall = enemy,alive || enemy(numenemy > 1),alive
triggerall = statetype != A
triggerall = palno != 6
triggerall = ctrl
triggerall = Roundstate = 2
triggerall = var(59) > 0
triggerall = enemy,name != "UNKNOWN"
;trigger1 = (GameTime% 180 ) = 0
triggerall = sysvar(3) != [500,3000] 
trigger1 = random < 80
trigger2 = sysvar(3) = [2800,3150] 

;無に還ろう　改
[State -1]
type = ChangeState
value = 2300
triggerall = !ishelper 
triggerall = numExplod(9898989898) = 0
triggerall = enemy,alive || enemy(numenemy > 1),alive
triggerall = statetype != A
triggerall = var(37) > 40
triggerall = ctrl
triggerall = var(59) > 0
triggerall = Roundstate = 2
triggerall = palno != [7,12]
triggerall = sysvar(3) != [500,3150] 
trigger1 = random < 70 

;次元の顎に引き裂かれよ！
[State -1]
type = ChangeState
value = 731
triggerall = palno != [7,12]
triggerall = !ishelper
triggerall = numExplod(9898989898) = 0
triggerall = enemy,alive || enemy(numenemy > 1),alive
triggerall = statetype != A
triggerall = var(37) > 40
triggerall = palno != 6
triggerall = ctrl
triggerall = Roundstate = 2
triggerall = var(59) > 0
triggerall = enemy,name != "UNKNOWN"
triggerall = sysvar(3) != [500,3150] 
;trigger1 = (GameTime% 180 ) = 0
trigger1 = random < 80


;無に還ろう
[State -1]
type = ChangeState
value = 2000
triggerall = !ishelper 
triggerall = numExplod(9898989898) = 0
triggerall = enemy,alive || enemy(numenemy > 1),alive
triggerall = statetype != A
triggerall = var(37) > 40
;triggerall = palno = 12
triggerall = ctrl
triggerall = Roundstate = 2
triggerall = sysvar(3) != [500,3150] 
triggerall = var(59) > 0
;trigger1 = (GameTime% 180 ) = 0
trigger1 = random < 90

;powerup
[State -1]
type = ChangeState
value = 703
triggerall = !ishelper
triggerall = numExplod(9898989898) = 0
triggerall = enemy,alive || enemy(numenemy > 1),alive
triggerall = palno = 6
triggerall = !var(35) 
triggerall = statetype != A
triggerall = ctrl
trigger1 = life <= 500
triggerall = Roundstate = 2
triggerall = var(59) > 0
trigger1 = random < 10

;けり
[State -1]
type = ChangeState
value = 242
triggerall = !ishelper
triggerall = numExplod(9898989898) = 0
triggerall = enemy,alive || enemy(numenemy > 1),alive
;triggerall = palno = 6
triggerall = statetype != A
triggerall = ctrl
trigger1 = random < 140
triggerall = Roundstate = 2
triggerall = var(59) > 0
Trigger1 = P2BodyDist X = [0,20]

;飛び道具
[State -1, ]
type = ChangeState
value = 14565
triggerall = !var(21)
triggerall = !ishelper
triggerall = var(59) > 0
triggerall = sysvar(3) != [0,2700]   
triggerall = statetype != A
triggerall = ctrl
trigger1 = random < 240
trigger1 = numhelper(14550) < 2
;trigger2 = !numhelper(14550) 

[State -1, ]
type = Varset
var(31) = 20
triggerall = Roundstate = 2
triggerall = !ishelper
triggerall = var(37) > 20
triggerall = random < 3
triggerall = var(59) > 0
trigger1 = statetype != A 
;trigger1 = ctrl

[State -1, ]
type = Varset
var(32) = 20
triggerall = Roundstate = 2
triggerall = !ishelper
triggerall = var(37) > 20
triggerall = random < 5
triggerall = var(59) > 0
trigger1 = statetype != A 
;trigger1 = ctrl

[State -1, ]
type = Varset
var(33) = 20
triggerall = Roundstate = 2
triggerall = !ishelper
triggerall = var(37) > 20
triggerall = random < 6
triggerall = var(59) > 0
trigger1 = statetype != A 
;trigger1 = ctrl

;ズババ
[State -1]
type = ChangeState
value = 730
triggerall = !ishelper
triggerall = numExplod(9898989898) = 0
triggerall = enemy,alive || enemy(numenemy > 1),alive
triggerall = statetype != A
triggerall = ctrl
triggerall = Roundstate = 2
triggerall = var(59) > 0
trigger1 = random < 140
;Trigger1 = P2BodyDist X = [0,150]

;落雷
[State -1]
type = ChangeState
value = 1200
triggerall = !ishelper
triggerall = sysvar(3) > 3150
triggerall = numExplod(9898989898) = 0
triggerall = enemy,alive || enemy(numenemy > 1),alive
triggerall = statetype != A
triggerall = ctrl
triggerall = Roundstate = 2
triggerall = var(59) > 0
trigger1 = random < 120

;落雷
[State -1]
type = ChangeState
value = 1200
triggerall = !ishelper
triggerall = palno != [7,12]
triggerall = numExplod(9898989898) = 0
triggerall = enemy,alive || enemy(numenemy > 1),alive
triggerall = statetype != A
triggerall = ctrl
triggerall = Roundstate = 2
triggerall = var(59) > 0
trigger1 = random < 120

;禊
[State -1]
type = ChangeState
value = 16400
triggerall = !ishelper
triggerall = numExplod(9898989898) = 0
triggerall = enemy,alive || enemy(numenemy > 1),alive
triggerall = statetype != A
triggerall = ctrl
triggerall = var(59) > 0
triggerall = Roundstate = 2
trigger1 = (GameTime% 1500 ) = [0,100]
trigger2 = random < 10  

;連撃
[State -1]
type = ChangeState
value = 8900
triggerall = !ishelper
triggerall = numExplod(9898989898) = 0
triggerall = enemy,alive || enemy(numenemy > 1),alive
triggerall = statetype != A
;triggerall = palno != 6
triggerall = ctrl
triggerall = var(59) > 0
triggerall = Roundstate = 2
;triggerall = sysvar(3) != [700,3350]  
trigger1 = (GameTime% 300 ) = 0
trigger2 = random < 130  


;飛び道具
[State -1]
type = ChangeState
value = 1000
triggerall = !var(21)
triggerall = !ishelper
triggerall = numExplod(9898989898) = 0
triggerall = enemy,alive || enemy(numenemy > 1),alive
triggerall = statetype != A
triggerall = ctrl
triggerall = Roundstate = 2
triggerall = var(59) > 0
trigger1 = random < 140

;ビーム
[State -1]
type = ChangeState
value = 2600
triggerall = !ishelper 
triggerall = numExplod(9898989898) = 0
triggerall = enemy,alive || enemy(numenemy > 1),alive
triggerall = statetype != A
;triggerall = palno = 12
triggerall = var(37) > 40
triggerall = ctrl
triggerall = Roundstate = 2
triggerall = var(59) > 0
triggerall = sysvar(3) != [500,3150] 
;trigger1 = (GameTime% 100 ) = 0
trigger1 = random < 110 
;trigger2   = enemynear,name = "manny"

;無に還ろうEX2
[State -1]
type = ChangeState
value = 2730
triggerall = !ishelper
triggerall = sysvar(3) != [0,3150]  
triggerall = sysvar(3) != [11000,18000] 
triggerall = numExplod(9898989898) = 0
triggerall = var(37) > 40
triggerall = enemy,alive || enemy(numenemy > 1),alive
triggerall = statetype != A
triggerall = palno != 6
triggerall = ctrl
triggerall = var(59) > 0
triggerall = Roundstate = 2
trigger1 = (GameTime% 200 ) = 0
trigger2 = random < 160

;無に還ろうEX
[State -1]
type = ChangeState
value = 2720
triggerall = !ishelper
triggerall = numExplod(9898989898) = 0
triggerall = sysvar(3) != [0,3150]    
triggerall = sysvar(3) != [11000,18000] 
triggerall = var(37) > 40
triggerall = enemy,alive || enemy(numenemy > 1),alive
triggerall = statetype != A
triggerall = palno != 6
triggerall = ctrl
triggerall = var(59) > 0
triggerall = Roundstate = 2
trigger1 = (GameTime% 150 ) = 0
trigger2 = random < 170 


;無に還ろうEX2
[State -1]
type = ChangeState
value = 2730
triggerall = !ishelper
triggerall = sysvar(3) = [4000,4450]  
triggerall = numExplod(9898989898) = 0
triggerall = var(37) > 40
triggerall = enemy,alive || enemy(numenemy > 1),alive
triggerall = statetype != A
triggerall = palno = 6
triggerall = ctrl
triggerall = var(59) > 0
triggerall = Roundstate = 2
trigger1 = 1




;無に還ろうMAX
[State -1]
type = ChangeState
value = 2610
triggerall = !ishelper
triggerall = numExplod(9898989898) = 0
triggerall = sysvar(3) != [0,3150]   
triggerall = var(37) > 40
triggerall = sysvar(3) != [11000,18000] 
triggerall = enemy,alive || enemy(numenemy > 1),alive
triggerall = statetype != A
triggerall = palno = [11,12]
triggerall = ctrl
triggerall = var(59) > 0
triggerall = Roundstate = 2
;trigger1 = (GameTime% 100 ) = 0
trigger1 = random < 170 

;シャキーン
[State -1]
type = ChangeState
value = 710
triggerall = !ishelper
triggerall = numExplod(9898989898) = 0
triggerall = enemy,alive || enemy(numenemy > 1),alive
triggerall = palno != 6
triggerall = statetype != A
triggerall = ctrl
triggerall = Roundstate = 2
triggerall = var(59) > 0
trigger1 = random < 170

;かっこよくなる
[State -1]
type = ChangeState
value = 703
triggerall = !ishelper
triggerall = numExplod(9898989898) = 0
triggerall = enemy,alive || enemy(numenemy > 1),alive
triggerall = palno != 6
triggerall = !var(35) 
triggerall = statetype != A
triggerall = palno = [11,12]
triggerall = ctrl
triggerall = Roundstate = 2
triggerall = var(59) > 0
trigger1 = random < 140

;魂つぶし
[State -1]
type = ChangeState
value = 2100
triggerall = !ishelper
triggerall = numExplod(9898989898) = 0
triggerall = enemy,alive || enemy(numenemy > 1),alive
triggerall = statetype != A
triggerall = palno != 6
triggerall = ctrl
triggerall = Roundstate = 2
triggerall = var(59) > 0
;trigger1 = (GameTime% 120 ) = 0
trigger1 = random < 90

;回復
[State -1]
type = ChangeState
value = 703
triggerall = !ishelper
triggerall = numExplod(9898989898) = 0
triggerall = enemy,alive || enemy(numenemy > 1),alive
triggerall = palno != 6
triggerall = !var(35) 
triggerall = statetype != A
triggerall = palno != [11,12]
triggerall = ctrl
triggerall = Roundstate = 2
triggerall = var(59) > 0
trigger1 = life <= 400;500
trigger1 = random < 300;40


[State -1]
type = null;ChangeState
value = 100
triggerall = !ishelper
triggerall = enemy,alive || enemy(numenemy > 1),alive
triggerall = Roundstate = 2
triggerall = var(59) > 0
trigger1 = ctrl && Statetype != A
trigger1 = random < 50
;Trigger1 = P2BodyDist X != [0,100]

[State -1]
type = ChangeState
value = 105
triggerall = !ishelper
triggerall = enemy,alive || enemy(numenemy > 1),alive
triggerall = Roundstate = 2
triggerall = var(59) > 0
trigger1 = random < 550
trigger1 = ctrl && Statetype != A

;ワープ
[State -1]
type = ChangeState
value = 900
triggerall = !ishelper
triggerall = numExplod(9898989898) = 0
triggerall = enemy,alive || enemy(numenemy > 1),alive
triggerall = Roundstate = 2
trigger1 = var(59) > 0
trigger1 = ctrl && Statetype != A
;trigger1 = random < 390
trigger2 = palno = [1,6]
trigger2 = stateno = [5000,5300]
trigger2 = random < 10
trigger3 = stateno = [5000,5300]
trigger3 = pos y < -100


[State -1, 歩き]
type = null;Changestate
triggerall = !ishelper
triggerall = alive
triggerall = statetype = S
triggerall = ctrl
triggerall = roundstate = 2
triggerall = anim != [10, 15]
triggerall = anim != [100, 105]
trigger1 = command = "holdfwd" 
trigger2 = command = "holdback"
value = 20
ignorehitpause = 1



